//tag规则 release-v188.3.*
const TaskBase = require("../../task.base");
const system = require("../../../system");
var settings = require("../../../../config/settings");
class Pushmarketplatneed2fq extends TaskBase {
  constructor() {
    super(TaskBase.getServiceName(Pushmarketplatneed2fq));
    this.restclient = system.getObject("util.restClient");
  }
  /**
 * 每隔10分钟检查一次
 * @param {*} taskName 
 */
  formatedTaskName (taskName) {
    console.log("formatedTaskName", taskName)
    return taskName + "|i|30"
  }
  async subDoTask () {
    console.log("--------------");
    console.log("TestTask1.....");
    var obj = {
      "actionType": "pushFormInfo2Fq",
      "actionBody": {

      }
    }
    try {
      var url = "https://mmc-service.newtime/external/action/template/springBoard";

      var rtn = this.restclient.execPostMMC(obj, url);
      return rtn;
    } catch (error) {
      console.log(error);
      return null;
    }
  }
}
module.exports = Pushmarketplatneed2fq;